Bug 17947 - amanda can't handle 'LABEL=' from (/etc/fstab)
Summary: amanda can't handle 'LABEL=' from (/etc/fstab)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-30 09:43 UTC by Job J. van Gorkum
Modified: 2016-11-24 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 09:13:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Job J. van Gorkum 2000-09-30 09:43:46 UTC
When using amanda with dump (always-full) amcheck complains wth the
following error:

ERROR: localhost [can not access LABEL=/var (/var): no such file or
directory

the /etc/amanda/test/disklist contains the following

localhost /var	always-full

also tested with:

localhost sda9	always-full
then the following error occurs:

ERROR: localhost [can not access sda9 (sda9): no such file or directory

Comment 1 Jeff Johnson 2000-10-12 20:59:46 UTC
Editing /etc/fstab and not using the new-fangled LABEL=... syntax is a
work-around.
Otherwise I should have a fix pretty soon ...

Comment 2 Trond Eivind Glomsrxd 2001-01-30 22:02:09 UTC
This is a problem in how glibc's getfsent work, and I think this should be fixed
rather than making a kludge in amanda ( (the "getfsent.c" file ;) and probably
other backup programs too...). Jakub, what's your opinion?

Comment 3 Trond Eivind Glomsrxd 2001-02-17 00:31:07 UTC
Can you try the 2.4.2p1-1 RPMs from http://people.redhat.com/teg/ ? amcheck
seems to work now...

Comment 4 Jakub Jelinek 2001-02-17 08:38:08 UTC
I've asked on libc-hacker and the responses were getfsent should not
be kept as is.

Comment 5 Trond Eivind Glomsrxd 2001-02-17 16:24:27 UTC
Which getfsent needs fixing? The one in glibc or the one in amanda? (which
basically calls the glibc one, but does different things on some other platforms)

Comment 6 Ulrich Drepper 2003-04-22 00:52:39 UTC
I don't have access to such an old system or glibc anymore.  The getfsent()in
the current glibc returns te label plus mount point in fs_spec.  This is what I
expect.  I also assume that amanda handles this fine these days.  Otherwise we
would have gotten more and more recent reports like this.

Please confirm.

Comment 7 Ulrich Drepper 2003-10-03 09:13:17 UTC
No reply in almost 6 months.  Reopen if this is a problem in a supported product.


Note You need to log in before you can comment on or make changes to this bug.